Подходящий способ получить последнюю версию Adobe Flash Player для Linux не работает

Я использую Ubuntu 14.10 и пытаюсь получить последнюю версию Adobe Flash Player для Linux (которая, по-видимому, является 11.2), я выбираю вариант для APT for Ubuntu 10.04+ здесь:

Adobe Flash Player Download page

Но когда я нажимаю на Launch Application кнопку после нажатия на Download кнопка:

Launch Application Prompt

Я только что получил это в Центре программного обеспечения Ubuntu:Ubuntu Software Center Adobe Flash Player Not Found

Итак, мои главные вопросы таковы: почему это происходит? Могу ли я это исправить? И как я могу получить последнюю версию Adobe Flash Player, если я не могу это исправить?

Первый

  1. Убедитесь, что у вас есть Вселенная>> включен репозиторий (в источниках программного обеспечения, доступный из Центра программного обеспечения - Редактировать - Источники программного обеспечения или sudo add-apt-repository universe или увидеть Как мне включить репозиторий "Юниверс"? ).

    1а. И на всякий случай, если adobe-flashplugin пакет отсутствует, возможно, у вас не активирован репозиторий "Canonical Parter" в разделе Программное обеспечение и обновления / Источники программного обеспечения, см. страницу справки Ubuntu для получения дополнительной информации. 14.04 надежный или 16.04.2017.

  2. Обновить индексные файлы пакета (выполнить sudo apt-get update ).

Mozilla, Firefox - NPAPI (Расширенная версия поддержки)

  • Обратите внимание, что о странице Adobe Flash Player говорит, что версия "Linux - Mozilla, Firefox - NPAPI (Extended Support Release)", по-видимому, не обновляется после версии 11.2.x для Linux (& Solaris).

В этом случае, похоже, что вы только запускаете Центр программного обеспечения и, возможно, выполняете странный поиск, который не дает никаких результатов.

Я бы убежал apt-cache в терминале и выполните поиск adobe-flashplugin или flashplugin-installer (или просто flashplugin).

У меня есть adobe-flashplugin установлен, но доступно несколько пакетов "adobe flashplugin", при попытке установить другой нужно сначала удалить этот. Я думаю adobe-flashplugin это та версия, которую вы хотели бы получить, по-видимому, из этих вопросов В чем разница между flashplugin-installer и adobe-flashplugin? и flashplugin-установщик против flashplugin-несвободный против adobe-flashplugin разница в том, что:

  • flashplugin-installer - извлекает 32-разрядный Flash player и устанавливает 32-разрядный уровень совместимости для 64-разрядных систем.
  • adobe-flashplugin 32-разрядная или 64-разрядная версия, в зависимости от вашей системы

Этот поиск должен найти все, что доступно (а также плагин pepperflash, описанный ниже).:

apt-cache search flashplugin

Тогда вы должны быть в состоянии установить с помощью этого:

sudo apt-get install adobe-flashplugin

(Или если бы вы хотели другой, sudo apt-get install flashplugin-installer)

Chrome (встроенный), браузеры на основе Chromium - PPAPI

Если вы используете Браузер Chrome/Chromium, он использует свой собственный Pepper flash Player, который в настоящее время является той же версией для Windows, Mac и Linux. В Chrome он уже встроен, в то время как для Chromium требуется установка пакета.
(К ВАШЕМУ СВЕДЕНИЮ, Разница между Google Chrome и Chromium в Linux)

Пакеты Chromium находятся в репозитории Ubuntu universe как chromium-browser и pepperflashplugin-nonfree so может быть установлен с помощью этих команд:

  • sudo apt-get install chromium-browser
  • sudo apt-get install pepperflashplugin-nonfree

или и то и другое сразу:

  • sudo apt-get install chromium-browser pepperflashplugin-nonfree

И после того, как они будут установлены, pepperflashplayer имеет свой собственный скрипт обновления:

  • Проверьте установленные и доступные версии "вверх по течению":

    sudo update-pepperflashplugin-nonfree --status
  • Установите самую последнюю доступную версию:

    `sudo update-pepperflashplugin-nonfree --install

Используйте плагин Pepper Flash с Mozilla/Firefox

К вашему сведению: я только что видел статью о WebUpd8.org о каком-то Браузер Firefox плагин, доступный в WebUpd8 PPA, который должен позволить вам использовать более новый Pepper flash player. Вот ссылка и клип:

Плагин Fresh Player Увидел Новую Версию (Pepper Flash Wrapper Для Firefox)

Дата: Среда, 14 января 2015 г.
Как вы, наверное, знаете, новейший Adobe Flash Player доступен в Linux только через Google Chrome (он входит в комплект поставки), в то время как другие браузеры, такие как Firefox, застряли со старой версией 11.2.

Плагин Adobe Flash Player, который поставляется в комплекте с Google Chrome, имеет форму плагина PPAPI (или Pepper Plugin API), и Mozilla не заинтересована в добавлении его поддержки. Из-за этого Ринат Ибрагимов разработал плагин Fresh Player, оболочку, которая позволяет пользователям Linux использовать Pepper Flash из Google Chrome в Firefox и других браузерах, совместимых с NPAPI.

Обратите внимание, что, согласно его странице на GitHub, плагин Fresh Player "в основном работает, но некоторые важные API еще предстоит реализовать", поэтому он может не работать с некоторыми веб-сайтами.

Вот вставленные инструкции по добавлению WebUpd8 PPA и плагина Fresh Player:

  1. Установите плагин Fresh Player в Ubuntu (через PPA), используя следующие команды:

    sudo add-apt-repository ppa:nilarimogard/webupd8sudo apt-get updatesudo apt-get install freshplayerplugin

    Вы также можете загрузить deb с здесь но установка его без добавления PPA означает, что вы не будете получать обновления!

  2. Плагин Fresh Player - это просто оболочка для libpepflashplayer.so поэтому ему нужен этот файл, который поставляется в комплекте с Google Chrome. Самый простой способ получить этот файл - просто установить Google Chrome Stable - скачать его можно здесь, затем установите его. Вот и все!

    Есть и другие способы получить libpepflashplayer.so но я не буду публиковать здесь инструкции по установке для всех из них. Вместо этого я просто перечислю их ниже:

    • если вы используете нестабильный Google Chrome, создайте символическую ссылку из /opt/google/chrome-unstable/PepperFlash в /opt/google/chrome/ или добавьте файл freshwrapper.conf и добавьте туда путь /opt/google/chrome-unstable/PepperFlash/libpepflashplayer.so - см. шаг три;
    • вы можете установить Pepper Flash 2 другими способами: через установщик доступно в официальных репозиториях Ubuntu 14.04 и через Перцовая вспышка PPA который также доступен для более старых версий Ubuntu - после установки вам нужно будет создать символическую ссылку для Pepper Flash в / opt / google /chrome /PepperFlash/libpepflashplayer.so или см. шаг 3 о том, как изменить путь к нему.

Попробуйте это для Firefox /Iceweasel:

1. Установите Adobe Flash Player.tar.gz из https://get.adobe.com/flashplayer/

2: Извлеките его

3: Откройте терминал

4: 'cd' в извлеченную папку

5: запустите 'sudo cp libflashplayer.so /usr/lib/mozilla/плагины/'

Это работает для меня :-)

Благодаря https://forums.kali.org/showthread.php?977-Install-Flash-Player-for-Iceweasel-Firefox-in-3-Simple-Steps

Я обнаружил, что установка через Центр программного обеспечения Ubuntu наиболее безболезненна и надежна.

В какой-то момент возникла проблема, из-за которой я проклинал Adobe. У Apt было по крайней мере две версии установщика и загрузчика adobe flash. Похоже, никаких документов не было... И какое-то окно продолжало выскакивать ... и так далее. Но на самом деле, просто удалите программу из Центра программного обеспечения, а затем переустановите, и все гаечные ключи, которые кажутся неотъемлемыми от неуклюжей установки Adobe, просто исчезнут.

Я использую Pepper Flash Player 15.0.0.189 в веб-браузере Chromium, оба из репозиториев Ubuntu, хотя мне пришлось обновить Pepper Flash Player из терминала после его установки, чтобы получить его до последней версии.

Имейте в виду, что “последняя версия flash” для браузеров, отличных от Chrome, в Linux была 11.x. Новой поддержки Linux Flash Player нет, кроме как через Pepper Flash в Chrome.

Ну, я все еще не могу загрузить его, и это то, что я хочу сделать. Но они говорят, что будут продолжать предоставлять бэкпорты безопасности для этой версии, которая является последней для Linux.

@Toroidal, однако, не навсегда - только на 5 лет с тех пор, как они прекратили поддержку Linux. И это произойдет раньше, чем вы думаете. (Подробности на странице дорожной карты Adobe для Flash)